Holger's Java API

## com.antelmann.calendar
Interface TimeSystem

All Known Implementing Classes:
  AbstractTimeSystem, AtomicTime, NTPClient, NTPTime, TimeProtocolClient

    public interface TimeSystem

TimeSystem allows to use a time measurement that is independent from the system time.

Author:
  Holger Antelmann

Field Summary
`static TimeSystem` `SYSTEM_TIME` provides a TimeSystem implementation based on the system time.

Method Summary
`long` `currentTimeMillis()` returns the current time in milliseconds as measured by the underlying time system which may be different from the system time.

Field Detail

### SYSTEM_TIME

    static final TimeSystem SYSTEM_TIME

  provides a TimeSystem implementation based on the system time.

  See Also:
    `System.currentTimeMillis()`

Method Detail

### currentTimeMillis

    long currentTimeMillis()

  returns the current time in milliseconds as measured by the underlying time system which may be different from the system time.

  Returns:
    the difference, measured in milliseconds, between the current time and midnight, January 1, 1970 UTC.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads